Name:           paperwork
Version:        1.3.1
Release:        %mkrel 2
Summary:        Personal document manager
License:        GPLv3+
Group:          Graphics/Scanning
Url:            https://openpaper.work/
Source0:        https://gitlab.gnome.org/World/OpenPaperwork/paperwork/-/archive/%{version}/paperwork-%{version}.tar.gz
# S1 & S2 Created with 'make version' in git checkout
Source1:        backend_version.py
Source2:        gtk_version.py
# S3 copiend from local install
Source3:        work.openpaper.Paperwork.desktop
Patch1:         paperwork-1.2.4-fix-launch-without-config.patch
BuildArch:      noarch
BuildRequires:  imagemagick
BuildRequires:  python3-setuptools
Requires:       python3-gobject3
Requires:       poppler
Requires:       saned
Requires:       tesseract
Requires:       tesseract-language

%description
Paperwork is a personal document manager. It manages scanned documents
and PDFs.

It's designed to be easy and fast to use. The idea behind Paperwork
is "scan & forget": You can just scan a new document and forget about
it until the day you need it again.

In other words, let the machine do most of the work for you.

%prep
%setup -q
%autopatch -p1

install -Dpm644 %{_sourcedir}/backend_version.py ./paperwork-backend/paperwork_backend/_version.py
install -Dpm644 %{_sourcedir}/gtk_version.py ./paperwork-gtk/src/paperwork/_version.py

%build
for d in $(find . -name setup.py); do
  pushd $(dirname $d)
    %py3_build
  popd
done

%install
for d in $(find . -name setup.py); do
  pushd $(dirname $d)
    %py3_install
  popd
done

for size in 16 22 24 30 32 36 42 48 50 64 72 96 100 128 150 160 192 256 512 ; do
  echo "Generating icon ${size}x${size} ..."

  source=paperwork_halo.svg
  if [ ${size} -ge 96 ]; then
    source=paperwork.svg
  fi

  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps
  convert -scale ${size}x${size} paperwork-gtk/data/${source} %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/work.openpaper.Paperwork.png
done

mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps/
install -Dpm644 paperwork-gtk/data/*_halo.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/work.openpaper.Paperwork.svg

# Desktop file
install -Dpm644 %{_sourcedir}/work.openpaper.Paperwork.desktop \
	%{buildroot}%{_datadir}/applications/work.openpaper.Paperwork.desktop
# Appdata metainfo
install -Dpm644 paperwork-gtk/data/work.openpaper.Paperwork.appdata.xml \
	%{buildroot}%{_datadir}/metainfo/work.openpaper.Paperwork.appdata.xml

%find_lang %{name}

%files -f %{name}.lang
%doc README.markdown
%{_bindir}/*
%{_datadir}/applications/work.openpaper.Paperwork.desktop
%{_datadir}/metainfo/work.openpaper.Paperwork.appdata.xml
%{_iconsdir}/hicolor/*/apps/*.{svg,png}

%{python3_sitelib}/paperwork-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/paperwork/

%{python3_sitelib}/paperwork_backend-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/paperwork_backend/


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 1.3.1-2.mga8
+ Revision: 1541814
- Mageia 8 Mass Rebuild

* Thu Jan 02 2020 daviddavid <daviddavid> 1.3.1-1.mga8
+ Revision: 1475482
- new version: 1.3.1

* Sun Sep 29 2019 daviddavid <daviddavid> 1.3.0-1.mga8
+ Revision: 1447976
- new version: 1.3.0

* Tue Sep 24 2019 daviddavid <daviddavid> 1.2.4-2.mga8
+ Revision: 1445297
- rebuild for python3.8

* Sat Jan 19 2019 wally <wally> 1.2.4-1.mga7
+ Revision: 1358096
- new versio 1.2.4

* Wed Sep 19 2018 umeabot <umeabot> 0.3.2-4.mga7
+ Revision: 1265639
- Mageia 7 Mass Rebuild

* Mon Nov 28 2016 luigiwalser <luigiwalser> 0.3.2-3.mga6
+ Revision: 1070635
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 0.3.2-2.mga6
+ Revision: 1046191
- test rebuild for poppler

* Mon May 09 2016 dglent <dglent> 0.3.2-1.mga6
+ Revision: 1011527
- Version 0.3.2

* Thu Apr 28 2016 daviddavid <daviddavid> 0.2.5-2.mga6
+ Revision: 1007037
- use new python macros

* Sun Dec 20 2015 dglent <dglent> 0.2.5-1.mga6
+ Revision: 912700
- Version 0.2.5

* Mon Jun 22 2015 dglent <dglent> 0.2.4-1.mga6
+ Revision: 839758
- Version 0.2.4
- Drop upstream merged patches:
  * paperwork-0.2-mga-disable-cleanup.patch
  * paperwork-0.2-mga-fix-file-dialog-folder-chooser.patch
  * paperwork-0.2-mga-disable-build-failure-on-runtime-dep-check.patch
- Add notices for the patched introduced upstream

* Wed Oct 15 2014 umeabot <umeabot> 0.2-4.mga5
+ Revision: 739101
- Second Mageia 5 Mass Rebuild

* Thu Oct 09 2014 dglent <dglent> 0.2-3.mga5
+ Revision: 737690
- Add patch (fix file dialog folder chooser)
- Fix file dialog folder chooser
- Bump release
- Add patch to prevent the delete of an empty folder (mga#14154)
- Add desktop file icon in hicolor paths

* Wed Oct 01 2014 dglent <dglent> 0.2-2.mga5
+ Revision: 733774
+ rebuild (emptylog)

* Sun Sep 28 2014 dglent <dglent> 0.2-1.mga5
+ Revision: 731045
- imported package paperwork

